#ifndef ENTERMODE_H
#define ENTERMODE_H

#include <QWidget>
#include <QPushButton>
#include <QGridLayout>
#include <QGroupBox>
#include <QVBoxLayout>

#include <TC_types.h>
#include <parameterdump.h>
#include <arbitrarytime.h>

class EnterMode : public QWidget
{
    Q_OBJECT
public:
    explicit EnterMode(QWidget *parent = 0);

    void sendEnterMode(unsigned char mode);

    QPushButton *button_enterModeStandby;
    QPushButton *button_enterModeNormal;
    QPushButton *button_enterModeBurst;
    QPushButton *button_enterModeSBM1;
    QPushButton *button_enterModeSBM2;

    QPushButton *button_reset;
    QPushButton *button_updateInfo;
    QPushButton *button_enableCalibration;
    QPushButton *button_disableCalibration;
    QPushButton *button_updateTime;

    QGridLayout *mainLayout;
    QGridLayout *overallLayout;

    QVBoxLayout *layout_updateTime;
    QVBoxLayout *layout_otherTC;

    QGroupBox *groupBox;
    QGroupBox *groupBox_updateTime;
    QGroupBox *groupBox_otherTC;

    ParameterDump *parameterDump;

    ArbitraryTime *arbitraryTime;
    
signals:
    unsigned int WriteSPWSig(char *Value, unsigned int count, char targetLogicalAddress, char userApplication);
    
public slots:
    void enterModeStandby();
    void enterModeNormal();
    void enterModeBurst();
    void enterModeSBM1();
    void enterModeSBM2();

    void sendUpdateTime();

    void sendReset();
    void sendUpdateInfo();
    void sendEnableCalibration();
    void sendDisableCalibration();
    
};

#endif // ENTERMODE_H
